### Hierarchy

- Emitter
  - Api

### Implements

- IEmitter
- IApiService

## Index

### Constructors

- constructor

### Properties

- _locked
- config
- helpers
- listeners
- onListeners
- request
- storage
- utils
- $inject

### Accessors

- END_POINT
- EVENT_401

### Methods

- acceptInvitation
- activateUser
- addDomainAccessGroup
- block
- cancelInvitations
- changeEmail
- changePassword
- createAnonymousPage
- createDocEmailRule
- createDomain
- createFolder
- createOrganizationDomain
- createOrganizationUser
- createPage
- createPageNotification
- createPageNotificationByUuid
- deleteDocEmailRule
- deleteDomainAGroup
- deleteOrganizationMetaData
- deletePage
- deleteUserMetaData
- disableDomain
- domainAccessLog
- domainInvitations
- domainUsers
- downloadPage
- dummyRequest
- emit
- forgotPassword
- getApplicationPageList
- getDocEmailRules
- getDomain
- getDomainAccessGroup
- getDomainAccessGroups
- getDomainCustomers
- getDomainPageAccess
- getDomainPages
- getDomainUsage
- getDomains
- getDomainsAndPages
- getInvitation
- getOrganization
- getOrganizationDomain
- getOrganizationDomains
- getOrganizationMetaData
- getOrganizationUsage
- getOrganizationUser
- getOrganizationUsers
- getPage
- getPageAccess
- getPageByName
- getPageByUuid
- getPageVerion
- getPageVerions
- getSelfInfo
- getSsoStatus
- getTemplates
- getUserMetaData
- handleSuccess
- inviteUsers
- off
- on
- putDomainAgroupMembers
- putDomainAgroupPages
- refreshAccessTokens
- refuseInvitation
- register
- removeCustomer
- removeDomain
- removeEvent
- removeEvents
- removeUsersFromDomain
- resendInvite
- resetPassword
- restorePageVerion
- saveCustomer
- saveDomainPageAccess
- saveOrganizationDomain
- saveOrganizationMetaData
- saveOrganizationUser
- savePageContent
- savePageContentDelta
- savePageSettings
- saveUserInfo
- saveUserMetaData
- send
- setDomainDefault
- signupUser
- unRegister
- unblock
- updateCustomer
- updateDocEmailRule
- updateDomain
- updateDomainAccess
- updateDomainAgroup
- userInvitations
- userLogin
- userLoginByCode
- userLogout

### Object literals

- tokens

## Constructors

### constructor

- new Api(config: IConfig, storage: IStorageService): Api

- Overrides Emitter.constructor

  - Defined in Api.ts:365

  #### Parameters

  - ##### config: IConfig

  - ##### storage: IStorageService

  #### Returns Api

## Properties

### Private _locked

_locked: boolean = false

- Defined in Api.ts:359

### Private config

config: IConfig

- Defined in Api.ts:368

### Private helpers

helpers: IHelpers

- Defined in Api.ts:361

### listeners

listeners: IListeners = []

Implementation of IApiService.listeners

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Implementation of IApiService.onListeners

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### Private request

request: any

- Defined in Api.ts:360

### Private storage

storage: IStorageService

- Defined in Api.ts:369

### Private utils

utils: IUtils

- Defined in Api.ts:362

### Static $inject

$inject: string[] = ['$httpParamSerializerJQLike','$q','ippStorageService','ippConfig','ippUtilsService','ippReqService',]

- Defined in Api.ts:342

## Accessors

### Private END_POINT

- get END_POINT(): string

- - Defined in Api.ts:363

  #### Returns string

### EVENT_401

- get EVENT_401(): string

- - Defined in Api.ts:350

  #### Returns string

## Methods

### acceptInvitation

- acceptInvitation(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:632

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### activateUser

- activateUser(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:666

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### addDomainAccessGroup

- addDomainAccessGroup(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:706

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### block

- block(): void

- - Defined in Api.ts:385

  #### Returns void

### cancelInvitations

- cancelInvitations(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:692

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### changeEmail

- changeEmail(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:616

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### changePassword

- changePassword(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:612

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createAnonymousPage

- createAnonymousPage(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:566

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createDocEmailRule

- createDocEmailRule(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:783

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createDomain

- createDomain(data: IApiDataCreateFolder): Promise<IRequestResult<any>>

- - Defined in Api.ts:478

  #### Parameters

  - ##### data: IApiDataCreateFolder

  #### Returns Promise<IRequestResult<any>>

### createFolder

- createFolder(data: IApiDataCreateFolder): Promise<IRequestResult<any>>

- - Defined in Api.ts:474

  #### Parameters

  - ##### data: IApiDataCreateFolder

  #### Returns Promise<IRequestResult<any>>

### createOrganizationDomain

- createOrganizationDomain(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:954

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createOrganizationUser

- createOrganizationUser(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:930

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createPage

- createPage(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:554

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createPageNotification

- createPageNotification(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:558

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### createPageNotificationByUuid

- createPageNotificationByUuid(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:562

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### deleteDocEmailRule

- deleteDocEmailRule(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:793

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### deleteDomainAGroup

- deleteDomainAGroup(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:734

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### deleteOrganizationMetaData

- deleteOrganizationMetaData(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:903

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### deletePage

- deletePage(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:592

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### deleteUserMetaData

- deleteUserMetaData(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:608

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### disableDomain

- disableDomain(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:490

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### domainAccessLog

- domainAccessLog(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:650

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### domainInvitations

- domainInvitations(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:640

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### domainUsers

- domainUsers(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:658

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### downloadPage

- downloadPage(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:976

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### Private dummyRequest

- dummyRequest(data: any): Promise<any>

- - Defined in Api.ts:991

  #### Parameters

  - ##### data: any

  #### Returns Promise<any>

### emit

- emit(name: string, args?: any): void

- Implementation of IApiService.emit

  Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### forgotPassword

- forgotPassword(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:620

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getApplicationPageList

- getApplicationPageList(client?: string): Promise<IRequestResult<any>>

- - Defined in Api.ts:883

  #### Parameters

  - ##### Default value client: string = ""

  #### Returns Promise<IRequestResult<any>>

### getDocEmailRules

- getDocEmailRules(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:779

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getDomain

- getDomain(domainId: number): Promise<IRequestResult<any>>

- - Defined in Api.ts:470

  #### Parameters

  - ##### domainId: number

  #### Returns Promise<IRequestResult<any>>

### getDomainAccessGroup

- getDomainAccessGroup(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:700

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getDomainAccessGroups

- getDomainAccessGroups(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:696

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getDomainCustomers

- getDomainCustomers(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:744

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getDomainPageAccess

- getDomainPageAccess(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:740

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getDomainPages

- getDomainPages(domainId: number): Promise<IRequestResult<any>>

- - Defined in Api.ts:494

  #### Parameters

  - ##### domainId: number

  #### Returns Promise<IRequestResult<any>>

### getDomainUsage

- getDomainUsage(data?: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:748

  #### Parameters

  - ##### Default value data: any = {}

  #### Returns Promise<IRequestResult<any>>

### getDomains

- getDomains(): Promise<IRequestResult<any>>

- - Defined in Api.ts:466

  #### Returns Promise<IRequestResult<any>>

### getDomainsAndPages

- getDomainsAndPages(client: string): Promise<IRequestResult<any>>

- - Defined in Api.ts:498

  #### Parameters

  - ##### client: string

  #### Returns Promise<IRequestResult<any>>

### getInvitation

- getInvitation(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:688

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getOrganization

- getOrganization(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:891

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getOrganizationDomain

- getOrganizationDomain(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:948

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getOrganizationDomains

- getOrganizationDomains(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:944

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getOrganizationMetaData

- getOrganizationMetaData(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:895

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getOrganizationUsage

- getOrganizationUsage(data?: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:915

  #### Parameters

  - ##### Default value data: any = {}

  #### Returns Promise<IRequestResult<any>>

### getOrganizationUser

- getOrganizationUser(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:924

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getOrganizationUsers

- getOrganizationUsers(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:907

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getPage

- getPage(data: IApiDataGetPage): Promise<IRequestResult<any>>

- - Defined in Api.ts:505

  #### Parameters

  - ##### data: IApiDataGetPage

  #### Returns Promise<IRequestResult<any>>

### getPageAccess

- getPageAccess(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:548

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getPageByName

- getPageByName(data: IApiDataGetPageByName): Promise<IRequestResult<any>>

- - Defined in Api.ts:513

  #### Parameters

  - ##### data: IApiDataGetPageByName

  #### Returns Promise<IRequestResult<any>>

### getPageByUuid

- getPageByUuid(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:521

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getPageVerion

- getPageVerion(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:540

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getPageVerions

- getPageVerions(data: IApiDataGetPageVerions): Promise<IRequestResult<any>>

- - Defined in Api.ts:529

  #### Parameters

  - ##### data: IApiDataGetPageVerions

  #### Returns Promise<IRequestResult<any>>

### getSelfInfo

- getSelfInfo(): Promise<IRequestResult<any>>

- - Defined in Api.ts:393

  #### Returns Promise<IRequestResult<any>>

### getSsoStatus

- getSsoStatus(email: string): Promise<IRequestResult<any>>

- - Defined in Api.ts:968

  #### Parameters

  - ##### email: string

  #### Returns Promise<IRequestResult<any>>

### getTemplates

- getTemplates(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:761

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### getUserMetaData

- getUserMetaData(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:600

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### Private handleSuccess

- handleSuccess(response: any): IRequestResult<any>

- - Defined in Api.ts:1006

  #### Parameters

  - ##### response: any

  #### Returns IRequestResult<any>

### inviteUsers

- inviteUsers(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:628

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### off

- off(name: string, callback: any): void

- Implementation of IApiService.off

  Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Implementation of IApiService.on

  Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### putDomainAgroupMembers

- putDomainAgroupMembers(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:710

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### putDomainAgroupPages

- putDomainAgroupPages(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:718

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### refreshAccessTokens

- refreshAccessTokens(refreshToken: string): Promise<IRequestResult<any>>

- - Defined in Api.ts:401

  #### Parameters

  - ##### refreshToken: string

  #### Returns Promise<IRequestResult<any>>

### refuseInvitation

- refuseInvitation(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:636

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### register

- register(callback: any): void

- Implementation of IApiService.register

  Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeCustomer

- removeCustomer(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:775

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### removeDomain

- removeDomain(domainId: number): Promise<IRequestResult<any>>

- - Defined in Api.ts:486

  #### Parameters

  - ##### domainId: number

  #### Returns Promise<IRequestResult<any>>

### removeEvent

- removeEvent(): void

- Implementation of IApiService.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IApiService.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### removeUsersFromDomain

- removeUsersFromDomain(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:684

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### resendInvite

- resendInvite(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:674

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### resetPassword

- resetPassword(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:624

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### restorePageVerion

- restorePageVerion(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:544

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveCustomer

- saveCustomer(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:765

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveDomainPageAccess

- saveDomainPageAccess(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:757

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveOrganizationDomain

- saveOrganizationDomain(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:960

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveOrganizationMetaData

- saveOrganizationMetaData(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:899

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveOrganizationUser

- saveOrganizationUser(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:936

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### savePageContent

- savePageContent(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:570

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### savePageContentDelta

- savePageContentDelta(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:578

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### savePageSettings

- savePageSettings(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:586

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveUserInfo

- saveUserInfo(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:596

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### saveUserMetaData

- saveUserMetaData(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:604

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### Private send

- send(request: Request): Promise<IRequestResult<any>>

- - Defined in Api.ts:797

  #### Parameters

  - ##### request: Request

  #### Returns Promise<IRequestResult<any>>

### setDomainDefault

- setDomainDefault(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:670

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### signupUser

- signupUser(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:662

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### unRegister

- unRegister(callback: any): void

- Implementation of IApiService.unRegister

  Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

### unblock

- unblock(): void

- - Defined in Api.ts:389

  #### Returns void

### updateCustomer

- updateCustomer(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:769

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### updateDocEmailRule

- updateDocEmailRule(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:787

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### updateDomain

- updateDomain(data: IApiDataUpdateDomin): Promise<IRequestResult<any>>

- - Defined in Api.ts:482

  #### Parameters

  - ##### data: IApiDataUpdateDomin

  #### Returns Promise<IRequestResult<any>>

### updateDomainAccess

- updateDomainAccess(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:680

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### updateDomainAgroup

- updateDomainAgroup(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:726

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### userInvitations

- userInvitations(): Promise<IRequestResult<any>>

- - Defined in Api.ts:646

  #### Returns Promise<IRequestResult<any>>

### userLogin

- userLogin(data: IApiDataUserLogin): Promise<IRequestResult<any>>

- - Defined in Api.ts:422

  #### Parameters

  - ##### data: IApiDataUserLogin

  #### Returns Promise<IRequestResult<any>>

### userLoginByCode

- userLoginByCode(data: any): Promise<IRequestResult<any>>

- - Defined in Api.ts:442

  #### Parameters

  - ##### data: any

  #### Returns Promise<IRequestResult<any>>

### userLogout

- userLogout(data?: IApiDataUserLogout): Promise<IRequestResult<any>>

- - Defined in Api.ts:462

  #### Parameters

  - ##### Default value data: IApiDataUserLogout = {}

  #### Returns Promise<IRequestResult<any>>

## Object literals

### tokens

tokens: object

Implementation of IApiService.tokens

- Defined in Api.ts:354

### access_token

access_token: string = ""

- Defined in Api.ts:355

### refresh_token

refresh_token: string = ""

- Defined in Api.ts:356

Generated using TypeDoc